Development
  • Guides
  • API Reference
  • API Explorer
  • SDKs
  • Sample apps
  • System status
Support
  • Developer forums
  • Developer blog
  • YouTube
  • X
More
  • Square Home
  • Square Developer
  • App Marketplace
  • Partner with Square
  • Solutions Partner Program
  • Pricing
  • Sales

© 2026 Square, Inc.

  • Developer terms of service
  • Developer Integration and Marketing Agreement
  • Privacy policy
  • Partnerships
  • Sign In
  • Sign In

    Labor

  • List break types

  • Create break type

  • Delete break type

  • Get break type

  • Update break type

  • Create scheduled shift

  • Bulk publish scheduled shifts

  • Search scheduled shifts

  • Retrieve scheduled shift

  • Update scheduled shift

  • Publish scheduled shift

  • List team member wages

  • Get team member wage

  • Create timecard

  • Search timecards

  • Delete timecard

  • Retrieve timecard

  • Update timecard

  • List workweek configs

  • Update workweek config

  • Webhooks

  • labor.scheduled_shift.created

  • labor.scheduled_shift.deleted

  • labor.scheduled_shift.published

  • labor.scheduled_shift.updated

  • labor.timecard.created

  • labor.timecard.deleted

  • labor.timecard.updated

<- Labor API

Labor API

All versions ->

Search scheduled shiftsBeta

POST

 /v2/labor/scheduled-shifts/search

Returns a paginated list of scheduled shifts, with optional filter and sort settings.

By default, results are sorted by start_at in ascending order.

Permissions:TIMECARDS_READ

Guide

Scheduling with the Labor API

Try in API Explorer
Link to section

Request body

Example code

Link to section

query

Query conditions used to filter and sort the results.

Link to section

limit

integer(32-bit)

The maximum number of results to return in a single response page. The default value is 50.

Min
1
Max
50
Link to section

cursor

string

The pagination cursor returned by the previous call to this endpoint. Provide this cursor to retrieve the next page of results for your original request. For more information, see Pagination.

Link to section

Response fields

Link to section

scheduled_shifts

A paginated list of scheduled shifts that match the query conditions.

Link to section

cursor

string

The pagination cursor used to retrieve the next page of results. This field is present only if additional results are available.

Link to section

errors

Any errors that occurred during the request.

Link to section

Examples

All versions ->

POST /v2/labor/scheduled-shifts/search
curl https://connect.squareup.com/v2/labor/scheduled-shifts/search \ -X POST \ -H 'Square-Version: 2026-11-18' \ -H 'Authorization: Bearer ACCESS_TOKEN' \ -H 'Content-Type: application/json' \ -d '{ "query": { "filter": { "assignment_status": "ASSIGNED", "scheduled_shift_status": [ "PUBLISHED", "DRAFT" ] }, "sort": { "field": "CREATED_AT", "order": "ASC" } }, "limit": 2, "cursor": "xoxp-1234-5678-90123" }'

Response JSON

{ "scheduled_shifts": [ { "id": "K0YH4CV5462JB", "draft_shift_details": { "team_member_id": "ormj0jJJZ5OZIzxrZYJI", "location_id": "PAA1RJZZKXBFG", "job_id": "FzbJAtt9qEWncK1BWgVCxQ6M", "start_at": "2019-01-25T03:11:00-05:00", "end_at": "2019-01-25T13:11:00-05:00", "notes": "Dont forget to prep the vegetables", "is_deleted": false, "timezone": "America/New_York" }, "version": 1, "created_at": "2019-02-25T03:11:00-05:00", "updated_at": "2019-02-25T03:11:00-05:00" } ], "cursor": "xoxp-123-2123-123232" }